<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class ApiController extends Controller
{
 
    public function error404(){
        $data['setting'] = response(['404title' => setting('404title'), '404subtitle' => setting('404subtitle')]) ;
        return response()->json($data);
    }
    public function error429(){
        $data['setting'] = response(['IPSECONDS' => setting('IPSECONDS')]) ;
        return response()->json($data);
    }
    public function error503(){
        $data['setting'] = response(['503title' => setting('503title'), '503subtitle' => setting('503subtitle'), '503description' => setting('503description') ]) ;
        return response()->json($data);
    }
}
